#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true
    autoconfigure: true

  CDev\Egoods\EntityCallback\AttachmentHistoryPointCallback:
    tags:
      - {name: doctrine.orm.entity_listener, event: prePersist, entity: CDev\Egoods\Model\Product\Attachment\AttachmentHistoryPoint}
      - {name: doctrine.orm.entity_listener, event: preUpdate, entity: CDev\Egoods\Model\Product\Attachment\AttachmentHistoryPoint}

  CDev\Egoods\EntityCallback\AttachmentCallback:
    tags:
      - {name: doctrine.orm.entity_listener, event: prePersist, entity: CDev\FileAttachments\Model\Product\Attachment}
